<mat-sidenav-container autosize class="maarch-container">
    <ng-template #adminMenuTemplate>
        <mat-nav-list>
            <a mat-list-item *ngFor="let menu of subMenus" [class.active]="menu.current" [routerLink]="menu.route">
                <mat-icon color="primary" mat-list-icon [class]="menu.icon"></mat-icon>
                <p mat-line>
                    {{menu.label}}
                </p>
            </a>
        </mat-nav-list>
    </ng-template>
    <mat-sidenav-content>
        <div class="bg-head">
            <div class="bg-head-title" [class.customContainerRight]="appService.getViewMode()">
                <div class="bg-head-title-label">
                    <header-left></header-left>
                </div>
                <div class="bg-head-title-tool">
                    <header-right></header-right>
                </div>
            </div>
            <div class="bg-head-content" [class.fullContainer]="appService.getViewMode()">
                <div style="display: grid;grid-template-columns: repeat(2, 1fr);grid-gap: 10px;width: 100%;">
                    <mat-form-field (click)="startPicker.open()" style="cursor:pointer;" class="dateFilter">
                        <mat-label style="color:white;">{{lang.since}}
                        </mat-label>
                        <input [(ngModel)]="appHistoryList.startDateFilter" matInput [matDatepicker]="startPicker"
                            [placeholder]="lang.since" [max]="appHistoryList.endDateFilter" readonly
                            style="cursor:pointer;" (dateChange)="appHistoryList.filterStartDate()">
                        <mat-datepicker-toggle matSuffix [for]="startPicker" *ngIf="!appHistoryList.startDateFilter">
                        </mat-datepicker-toggle>
                        <mat-datepicker [touchUi]="appService.getViewMode()" #startPicker>
                        </mat-datepicker>
                        <button mat-button color="warn" matSuffix mat-icon-button *ngIf="appHistoryList.startDateFilter"
                            (click)="$event.stopPropagation();appHistoryList.startDateFilter = '';appHistoryList.filterStartDate()"
                            [title]="lang.eraseValue">
                            <mat-icon color="warn" class="fa fa-calendar-times">
                            </mat-icon>
                        </button>
                    </mat-form-field>
                    <mat-form-field (click)="endPicker.open()" style="cursor:pointer;" class="dateFilter">
                        <mat-label style="color:white;">{{lang.until}}
                        </mat-label>
                        <input [(ngModel)]="appHistoryList.endDateFilter" matInput [matDatepicker]="endPicker"
                            [placeholder]="lang.until" [min]="appHistoryList.startDateFilter" readonly
                            style="cursor:pointer;" (dateChange)="appHistoryList.filterEndDate()">
                        <mat-datepicker-toggle matSuffix [for]="endPicker" *ngIf="!appHistoryList.endDateFilter">
                        </mat-datepicker-toggle>
                        <mat-datepicker [touchUi]="appService.getViewMode()" #endPicker>
                        </mat-datepicker>
                        <button mat-button color="warn" matSuffix mat-icon-button *ngIf="appHistoryList.endDateFilter"
                            (click)="$event.stopPropagation();appHistoryList.endDateFilter = '';appHistoryList.filterEndDate()"
                            [title]="lang.eraseValue">
                            <mat-icon color="warn" class="fa fa-calendar-times">
                            </mat-icon>
                        </button>
                    </mat-form-field>
                </div>
            </div>
        </div>
        <div class="container" [class.fullContainer]="appService.getViewMode()">
            <div class="container-content">
                <app-history-list #appHistoryList></app-history-list>
            </div>
        </div>
    </mat-sidenav-content>
</mat-sidenav-container>